require	'mxx_ru/cpp'

require 'oess_1/defs/version'
require 'oess_1/util_cpp_serializer/gen'

MxxRu::Cpp::exe_target {

	required_prj( Oess_1::LibraryMode.instance.ace_prj )

	required_prj( "oess_1/defs/prj.rb" )
	required_prj( "oess_1/db/prj.rb" )

	generator( Oess_1::Util_cpp_serializer::Gen.new( self ) ).
		ddl_file( "main.ddl" )

	target( "sample_file_archive_2" )

	cpp_source( "main.cpp" )
}

